Bug 11272 - copy submit button on inventory
Summary: copy submit button on inventory
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nicole C. Engard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-19 16:27 UTC by Nicole C. Engard
Modified: 2015-12-03 22:00 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
[BUG 11272] Add second submit button to inventory (1.98 KB, patch)
2014-01-24 15:50 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11272 - copy submit button on inventory (2.07 KB, patch)
2014-01-30 16:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11272 - copy submit button on inventory (2.12 KB, patch)
2014-01-31 11:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 11272 - copy submit button on inventory (2.05 KB, patch)
2015-04-15 07:12 UTC, Mark Tompsett
Details | Diff | Splinter Review
[Signed-off] Bug 11272 - copy submit button on inventory (2.22 KB, patch)
2015-04-15 10:04 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-11-19 16:27:54 UTC
On the inventory tool the submit button is a the very bottom, but it should probably be in two places. One under the file upload and one at the bottom.  This will make it clear that if you do a file you don't have to fill in the filter options - just submit.
Comment 1 Nicole C. Engard 2014-01-24 15:50:47 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-01-30 16:07:38 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2014-01-31 11:44:33 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2014-01-31 12:03:46 UTC
Passing QA on this trivial patch adding a submit button on inventory, but I feel that this form actually needs more attention as for design.
Just viewing this as a workaround.

The form design is not intuitive. The two approaches should be more visible, as well as common options to both approaches like exporting to csv etc.
Comment 5 Galen Charlton 2014-02-20 19:36:14 UTC
Pushed to master.  Thanks, Nicole!

I agree with Marcel that the form needs a revamp to make it clear that it has two distinct modes of operation.
Comment 6 Fridolin Somers 2014-05-21 08:30:43 UTC
Pushed to 3.14.x, will be in 3.14.07
Comment 7 Kyle M Hall 2014-06-06 13:54:33 UTC
Pushed to 3.12.x will be in 3.12.13
Comment 8 Nicole C. Engard 2014-08-12 23:58:20 UTC
I'm wondering if this got reverted. I'm on 3.16 (and I have a master system as well) and I don't see the button anymore.  Can anyone confirm?

Nicole
Comment 9 Fridolin Somers 2014-08-13 08:49:48 UTC
Bug 12025 as reverted this bug
Comment 10 Mark Tompsett 2015-04-15 07:12:30 UTC Comment hidden (obsolete)
Comment 11 Mark Tompsett 2015-04-15 07:16:02 UTC
I wasn't sure what status to stick this to. If you compare it to the previous obsolete, it's identical. For some strange reason the extra blank lines confused the git bz apply such that it didn't apply. This one does.
Comment 12 Marc Véron 2015-04-15 10:04:10 UTC
Created attachment 37895 [details] [review]
[Signed-off] Bug 11272 - copy submit button on inventory

The inventory tool allows for 2 ways of processing files. The first
is to upload a file. The second is to generate the shelf list.
Most libraries think they have to fill in all fields because the
submit button is at the bottom of the second option. They do not.
This patch adds a second submit button under the first method to
make this clearer.

To test:

* Generate a file of barcodes for inventorying
* Before applying the patch use the file upload method to mark as seen
* Apply the patch
* Use the file upload method to mark as seen using the new submit
* Repeat the above for the shelf list method
* Confirm that inventory still works as expected with 2 buttons

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Rebased.

Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 13 Jonathan Druart 2015-04-20 11:11:17 UTC
Mark, please have a look at the historic of the report before reintroduce a dead patch. It will take you to bug 12025 comment 4.
Comment 14 Jonathan Druart 2015-04-20 11:12:01 UTC
This is "resolved" as it is pushed to master and stable versions. Open a new bug for discussion if needed.
Comment 15 Mark Tompsett 2015-04-21 08:25:26 UTC
(In reply to Jonathan Druart from comment #13)
> Mark, please have a look at the historic of the report before reintroduce a
> dead patch. It will take you to bug 12025 comment 4.

Apologies. I was just working at lowering the "Patch does not apply" queue. I should have been a little more thorough in checking git logs, and noting see also's above.